$(document).ready(function(){
    $('#loadingContainer').ajaxStart(function()
    {
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function()
	{
	    $(this).hide();
	});
    
    setInterval(function(){
        $('div.sub_container_page').css('top',$(window.parent.frames.right).height()-$('div.sub_container_page').height()-2); //设置底部分页区域的位置
    },1000);
    
    setList();

    search_urldata = 'type=ajax&Action=SearchCouponsAjax&PageSize='+PageSize+'&Page='+CurrentPage;
    BindCoupons('Coupons.aspx',search_urldata);//绑定数据        
    
    //--添加活动
    $('#btnAddCoupons').click(function(){
        if(CanAddCoupons=="True"){
            window.location="CouponAdd.aspx";
        }
        else{
            alert("你没有添加优惠券的权限，请联系超级管理员！");
        }
    });
    
    //全选
    $('input[@name=chkAll]').click(function(){
        $('input[@name=chkItem]').attr('checked',$(this).attr('checked'));
    });
        
    //批量删除活动
    $('#btnDelete').click(function(){
        if(CanDeleteCoupons=="True"){
            var couponsIDs = '';
            $('input[@name=chkItem][@checked]').each(function(){
                couponsIDs += $(this).val() + ',';
            });
            if(couponsIDs != ''){
                couponsIDs = couponsIDs.substring(0,couponsIDs.length-1);
                if(confirm('确定要删除选中的优惠券吗?删除后将不可恢复')){
                    $.ajax({
                        url:'Coupons.aspx?type=ajax&Action=DeleteCoupons&CouponsIDs=' + couponsIDs,
                        cache:false,
                        success:function(data){
                            if(!checkLoginStatus(data)){return false;};
                            if(data>0){
                                $('input[@name=chkItem][@checked]').each(function(){
					                $(this).parent().parent().remove();
				                });
				            }
				            else{
                                alert("你没有删除优惠券的权限，请联系超级管理员！");
				            }
                        },error:function(){alert('error1');}
                    });
                }
            }else{
                alert('请选择要删除的优惠券');
            }
        }
        else{
            alert("你没有删除优惠券的权限，请联系超级管理员！");
        }
    });
        
	//--优惠券类型
	$('#rbtnTpyeA').click(function(){
	    if($(this).attr('checked') == true)
	    {
	        $('#couponstype').text('A');
	    }
	});
	$('#rbtnTpyeB').click(function(){
	    if($(this).attr('checked') == true)
	    {
	        $('#couponstype').text('B');
	    }
	});	
});